Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# JARInputSource Class Reference
[IO core interfaces]

Inheritance diagram for JARInputSource:

## Detailed Description

Reads data from JAR(ZIP) archive.

## Public Member Functions
| JARInputSource (const String *basePath, InputSource *base)
| Creates input source from JAR (ZIP) archive.
const String * | getLocation () const
const byte * | openStream ()
void | closeStream ()
int | length () const
## Protected Member Functions
SharedInputSource * | getShared () const
const String * | getInJarLocation () const
InputSource * | createRelative (const String *relPath)
| JARInputSource (const String *basePath, JARInputSource *base, bool faked)

## Constructor & Destructor Documentation

JARInputSource::JARInputSource | ( | const String * | basePath,
|  | InputSource * | base
| ) |

  | Creates input source from JAR (ZIP) archive. Parameters:
  | basePath | Path to file in archive in form `jar:<anyURI>!/path/to/file` `anyURI` can be any valid URI, relative or absolute.
  | base | source, used to resolving relative URIs

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:13 2006 by doxygen 1.4.6.